%define upstream_name    Dist-Zilla-Plugin-CheckLib
%define upstream_version 0.007

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Require that our distribution has a particular library available
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Requirements) >= 2.120.620
BuildRequires: perl(Devel::CheckLib)
BuildRequires: perl(Dist::Zilla) >= 4.300.39
BuildRequires: perl(Dist::Zilla::Plugin::ModuleBuildTiny) >= 0.7.0
BuildRequires: perl(Dist::Zilla::Plugin::ModuleBuildTiny::Fallback) >= 0.6.0
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::InstallTool)
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Needs)
BuildRequires: perl(if)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is a the Dist::Zilla manpage plugin that modifies the _Makefile.PL_ or
_Build.PL_ in your distribution to contain a the Devel::CheckLib manpage
call, that asserts that a particular library and/or header is available. If
it is not available, the program exits with a status of zero, which on a
cpantesters.org machine will result in a NA result.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%__make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.7.0-3.mga8
+ Revision: 1503964
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.7.0-2.mga7
+ Revision: 1282998
- Mageia 7 Mass Rebuild

* Tue Mar 20 2018 shlomif <shlomif> 0.7.0-1.mga7
+ Revision: 1210611
- New version 0.007
- New version 0.007

* Sun Jun 19 2016 pterjan <pterjan> 0.6.0-3.mga6
+ Revision: 1026161
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.6.0-2.mga6
+ Revision: 969051
- Mageia 6 Mass Rebuild

* Wed Jul 29 2015 shlomif <shlomif> 0.6.0-1.mga6
+ Revision: 858872
- imported package perl-Dist-Zilla-Plugin-CheckLib


* Wed Jul 29 2015 cpan2dist 0.006-1mga
- initial mageia release, generated with cpan2dist
